<template>
  <div class="wrapper">
    <NavBar />
    <Dashboard />
  </div>
</template>

<script>
import NavBar from "./common/NavBar.vue";
import Dashboard from "./Dashboard.vue";

export default {
  name: "Home",
  components: {
    NavBar,
    Dashboard
  },
  data: function() {
    return {
      project: null
    };
  },
  mounted: function() {
    if (!this.$auth.isLoggedIn(this.$cookie)) this.$router.push("/");
    else {
      this.$caller
        .getProject(this.$route.params.projectId)
        .then(response => {
          if (response.data) this.project = response.data;
          else this.$router.push("/");
        })
        .catch(() => this.$router.push("/"));
    }
  }
};
</script>

<style>
.wrapper {
  background-color: #edf1f4;
}
</style>
